Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/os_include/os_dlfcn.h File Reference

`#include "ace/config-all.h"`

Include dependency graph for os_dlfcn.h:

This graph shows which files directly or indirectly include this file:

## Defines
#define | ACE_SHLIB_INVALID_HANDLE 0
#define | ACE_DEFAULT_SHLIB_MODE 0
#define | RTLD_LAZY 1
#define | RTLD_NOW 2
#define | RTLD_GLOBAL 3
## Typedefs
typedef HINSTANCE | ACE_SHLIB_HANDLE

## Detailed Description

dynamic linking

Id:
  os_dlfcn.h,v 1.6 2003/11/01 11:15:19 dhinton Exp

Author:
  Don Hinton <dhinton@dresystems.com> , This code was originally in various places including ace/OS.h.

## Define Documentation

#define ACE_DEFAULT_SHLIB_MODE 0

#define ACE_SHLIB_INVALID_HANDLE 0

#define RTLD_GLOBAL 3

#define RTLD_LAZY 1

#define RTLD_NOW 2

## Typedef Documentation

typedef HINSTANCE ACE_SHLIB_HANDLE